DRM_FB_HELPER_FILL_F(9)

NAME
drm_fb_helper_fill_fix - initializes fixed fbdev information

SYNOPSIS

void drm_fb_helper_fill_fix(struct fb_info * info, uint32_t pitch, uint32_t depth);

ARGUMENTS

info
    fbdev registered by the helper

pitch
    desired pitch

depth
    desired depth

DESCRIPTION

Helper to fill in the fixed fbdev information useful for a non-accelerated fbdev emulations. Drivers which support acceleration methods which impose additional constraints need to set up their own limits.

Drivers should call this (or their equivalent setup code) from their ->fb_probe callback.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT